Bug 1128128 - unable to set root password when networking is not enabled
Summary: unable to set root password when networking is not enabled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 10:51 UTC by Netbulae
Modified: 2016-02-10 19:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:31:27 UTC
oVirt Team: Node


Attachments (Terms of Use)
screenshot (16.05 KB, image/png)
2014-08-08 10:51 UTC, Netbulae
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31328 master MERGED selinux: Update rules Never

Description Netbulae 2014-08-08 10:51:55 UTC
Created attachment 925154 [details]
screenshot

Description of problem:

Networking doesn't work, so I want to check the logs. But the rootpw on install doesn't work and I cannot set the root password in the admin dialog

Comment 1 Netbulae 2014-08-11 09:57:38 UTC
Sorry, forgot to add "enforcing=0" to the pxe boot config.

So it appears to be an selinux error..

Comment 2 Netbulae 2014-08-11 09:58:22 UTC
But it would still be  nice to be able to add a root password when networking is disabled

Comment 3 Fabian Deutsch 2014-08-11 12:15:25 UTC
Thanks for the report.

It seems that I can set a root password using the ovirt-node-config-password utility when selinux is in permissive mode.

When booting the iso in permissive mode, I was also able to use the rootpw= parameter.

Comment 4 Sandro Bonazzola 2014-10-17 12:31:27 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.